/// Create a box-shadow highlight
@mixin shadow-highlight {
    box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
}

@mixin hidden-radioButton {
    position: absolute;
    opacity: 0;
    cursor: pointer;
    &:checked {
        & ~ span,
        & ~ div {
            background-color: v(selectedColor);
            color: v(textColor);
        }
    }
}

/// Inserts a reference to a CSS Variable
/// @param {String} $varName
///   The variable's name
/// @return {String} A var(--NAME) statement
@function v($varName) {
    @return var(--#{$varName});
}
